Skip to content

Get an invitation

GET
/api/organizations/{organizationId}/invitations/{id}

Returns a single invitation within the organization by its ID.

Authorizations

ApiToken

Long-lived API token created via POST /api/api-tokens (returned once in plaintext).

Type
API Key (header: X-API-TOKEN)
or
JWT

JWT access token obtained via POST /api/auth/login. Send as: Authorization: Bearer .

Type
HTTP (bearer)

Parameters

Path Parameters

organizationId*

Organization identifier

Type
string
Required
id*

invitation identifier

Type
string
Required

Responses

invitation resource

JSON
{
  
"@context": "string",
  
"@id": "string",
  
"@type": "string",
  
"id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
  
"organization": "/api/organizations/1",
  
"email": "alice@example.com",
  
"role": "MANAGER",
  
"status": "pending",
  
"createdAt": "2026-07-01T10:15:30+00:00",
  
"expiresAt": "2026-07-08T10:15:30+00:00",
  
"acceptedAt": "2026-07-02T09:00:00+00:00",
  
"invitedBy": "https://example.com/"
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI